import { AfterViewInit, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Calendar, CalendarOptions, FullCalendarComponent } from '@fullcalendar/angular';
import { IEvent } from './interfaces/IEvent';
import { ViewDateChangeEvent } from './models/viewDateChangeEvent';
export declare class EqpCalendarComponent implements OnInit, AfterViewInit, OnChanges {
    eventList: Array<IEvent>;
    customStyle: any;
    initialView: string;
    firstDay: number;
    contentHeight: string;
    locale: string;
    monthButtonText: string;
    weekButtonText: string;
    dayButtonText: string;
    todayButtonText: string;
    listButtonText: string;
    headerToolbarStart: string;
    headerToolbarCenter: string;
    headerToolbarEnd: string;
    allDayText: string;
    eventOrder: Function;
    onViewDateChange: EventEmitter<ViewDateChangeEvent>;
    onDateClick: EventEmitter<Date>;
    onEventClick: EventEmitter<IEvent>;
    calendarOptions: CalendarOptions;
    calendarApi: Calendar;
    calendarComponent: FullCalendarComponent;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    configureCalendar(): void;
    viewDateChange(): void;
    dateClick(event: any): void;
    eventClick(event: any): void;
}
